<?php
namespace Ak\Wp;

use Laminas\Cache\Service\StorageCacheAbstractServiceFactory;

return [
    'caches' => [
        'cache.shortcodes' => [
            'adapter' => 'redis',
            'options' => [
                'namespace' => 'wp.shortcodes',
                'server' => ['localhost', 6379, 1],
            ],
            'plugins' => [
                'serializer',
            ],
        ],
        'cache.translations' => [
            'adapter' => 'redis',
            'options' => [
                'namespace' => 'wp.translations',
                'server' => ['localhost', 6379, 1],
            ],
            'plugins' => [
                'serializer',
            ],
        ],
    ],

    'dependencies' => [
        'factories' => [
            'cache.shortcodes' => StorageCacheAbstractServiceFactory::class,
            'cache.translations' => StorageCacheAbstractServiceFactory::class,
        ],
    ],
];
