<?php
namespace AkTest\Wp\Service;

use Ak\Test\AbstractTestCase;
use AkTest\Wp\TestConfigProvider;
use Psr\Cache\CacheItemPoolInterface;
use Laminas\Cache\Psr\CacheItemPool\CacheItemPoolDecorator;
use Laminas\Cache\Storage\StorageInterface;

/**
 * Class CacheTest
 *
 * @package AkTest\Wp\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-core
 */
final class CacheTest extends AbstractTestCase
{
    public $providers = [
        TestConfigProvider::class,
    ];

    public function testCanCreateShortcodeCache()
    {
        $container = $this->getContainer();

        $this->assertContainerHasService($container, [
            'cache.shortcodes',
        ], StorageInterface::class);
    }

    public function testtestCanCreateShortcodeCacheAsCacheItemPool()
    {
        $container = $this->getContainer();

        $cache = $container->get('cache.shortcodes');
        $cacheItemPool = new CacheItemPoolDecorator($cache);

        $this->assertInstanceOf(CacheItemPoolInterface::class, $cacheItemPool);
    }
}
